.page {
  @include media-sm-up {
    padding-left: $nav-sidebar-width;
  }
}

.content {
  padding: 0 $gl-spacing-5;
  margin: 0 auto;
  min-width: $page-width / 3;

  @include media-sm-up {
    padding: 0 $gl-spacing-7;
  }

  @include media-sm-down {
    &.main {
      .limited {
        margin-top: 0;
      }

      .md > h1 {
        padding-top: $gl-spacing-3;
        padding-left: $gl-spacing-8 - $gl-spacing-3;
      }
    }
  }

  &.limited {
    max-width: $page-width;
  }

  img {
    max-width: 100%;
  }
}

.admonition {
  padding: $gl-spacing-5;
  display: block;

  a {
    text-decoration: underline;
  }

  &.admonition--note {
    background-color: $blue-50;
  }

  &.admonition--tip {
    background-color: $green-50;
  }

  &.admonition--todo {
    background-color: $gray-50;
  }

  &.admonition--warning {
    background-color: $orange-50;
  }

  span {
    text-transform: uppercase;
    font-weight: $font-weight--bold;
  }
}

// Simple grid workaround until bootstrap is reintroduced

.row {
  display: flex;
  flex-wrap: wrap;

  // Center columns when not adding up to 100%
  &.row-center {
    justify-content: center;
  }

  .col {
    padding-right: $gl-spacing-5;
    padding-left: $gl-spacing-5;

    &.col-50 {
      width: 50%;

      &:nth-child(2n + 1) {
        padding-left: 0;
      }
      &:nth-child(2n + 2) {
        padding-right: 0;
      }
    }

    &.col-33 {
      width: 33%;

      &:nth-child(3n + 1) {
        padding-left: 0;
      }
      &:nth-child(3n) {
        padding-right: 0;
      }
    }

    &.col-25 {
      width: 25%;

      &:nth-child(4n + 1) {
        padding-left: 0;
      }
      &:nth-child(4n) {
        padding-right: 0;
      }
    }
  }
}

// Figure

.figure {
  border-radius: $border-radius;
  display: block;
  margin: 0;
  // Using padding instead of margin because of the .md styles
  padding-bottom: $gl-spacing-7;
  text-align: center;

  &--dark {
    background-color: $gray-950;
    color: $white;
    margin-bottom: $gl-spacing-7;
    padding: $gl-spacing-6 $gl-spacing-5;
  }
}

.figure-img {
  display: inline-block;
  line-height: 1;
  margin: 0 auto;
}

.figure-caption {
  font-size: $base-font-size;
  line-height: 1.5;
}

// Figma embeds

.figma-embed {
  border: 1px solid rgba(0, 0, 0, 0.1);
  position: relative;
  padding-bottom: 56.25%; /* proportion value to aspect ratio 16:9 (9 / 16 = 0.5625 or 56.25%) */
  height: 0;
  overflow: hidden;

  iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}
